1
Products

Get exactly the support you need
Looking for specific solutions for your product?

Which version of Djay 2 app is compatible with my Philips system?

The below versions of 'djay 2' app are advised for the optimal performance of this sound system: * For iPad: v2.2 or above * For iPhone: v2.0.1 or above * For iPod Touch: v2.1.1 or above

The information on this page applies to the following models: DS8900/10 .

Register your product
Register your product

Keep track of your product warranty coverage

Qualify for cash-back, gifts and special offers

Get easy access to product support

Our site can best be viewed with the latest version of Microsoft Edge, Google Chrome or Firefox.